18.00.31 would not install for me